Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.jcas.cas
Class NonEmptyFloatList_Type

    java.lang.Object
      org.apache.uima.jcas.cas.TOP_Type
          org.apache.uima.jcas.cas.FloatList_Type
              org.apache.uima.jcas.cas.NonEmptyFloatList_Type

    public class NonEmptyFloatList_Type

extends FloatList_Type

Field Summary
`static boolean` | `featOkTst`
`static int` | `typeIndexID`

Fields inherited from class org.apache.uima.jcas.cas.TOP_Type
`casImpl, casType, casTypeCode, instanceOf_Type, jcas, ll_cas, lowLevelArrayBoundChecks, lowLevelTypeChecks, useExistingInstance`

Constructor Summary
`protected` | `NonEmptyFloatList_Type()`
`` | `NonEmptyFloatList_Type(JCas jcas, Type casType)`

Method Summary
`protected org.apache.uima.cas.impl.FSGenerator` | `getFSGenerator()`
`float` | `getHead(int addr)`
`int` | `getTail(int addr)`
`void` | `setHead(int addr, float v)`
`void` | `setTail(int addr, int v)`

Methods inherited from class org.apache.uima.jcas.cas.TOP_Type
`addToIndexes, checkType, getTypeIndexID, invalidTypeArg, noObjCreate, removeFromIndexes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### typeIndexID

    public static final int typeIndexID

### featOkTst

    public static final boolean featOkTst

Constructor Detail

### NonEmptyFloatList_Type

    public NonEmptyFloatList_Type(JCas jcas,
                                  Type casType)

### NonEmptyFloatList_Type

    protected NonEmptyFloatList_Type()

Method Detail

### getFSGenerator

    protected org.apache.uima.cas.impl.FSGenerator getFSGenerator()

  Overrides:
    `getFSGenerator` in class `FloatList_Type`

### getHead

    public float getHead(int addr)

### setHead

    public void setHead(int addr,
                        float v)

### getTail

    public int getTail(int addr)

### setTail

    public void setTail(int addr,
                        int v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.